Imagick::rollImage
Imagick::roundCorners
The Imagick class
PHP Manual

# Imagick::rotateImage

(No version information available, might be only in CVS)

Imagick::rotateImage — Rotates an image

### Description

bool Imagick::rotateImage ( mixed `$background` , float `$degrees` )
Warning

This function is currently not documented; only its argument list is available.

Rotates an image the specified number of degrees. Empty triangles left over from rotating the image are filled with the background color.

### Parameters

`background`

  The background color

`degrees`

  The number of degrees to rotate the image

### Return Values

Returns `TRUE` on success.

### ChangeLog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as the first parameter. Previous versions allow only an ImagickPixel object.

Imagick::rollImage
Imagick::roundCorners
The Imagick class
PHP Manual